Bug 20061 - koha-common is not pulling libsearch-elasticsearch-perl
Summary: koha-common is not pulling libsearch-elasticsearch-perl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Mirko Tietgen
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 19542
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 12:25 UTC by Tomás Cohen Arazi
Modified: 2018-05-31 07:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl (970 bytes, patch)
2018-02-23 12:40 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl / d/control (1.03 KB, patch)
2018-02-23 12:41 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl (1.01 KB, patch)
2018-02-23 12:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl / d/control (1.09 KB, patch)
2018-02-23 12:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-01-22 12:25:09 UTC
Bug 19542 introduced the harder dependency but failed to add it to PerlDependencies.pm
Comment 1 Mirko Tietgen 2018-01-23 08:45:36 UTC
I am not sure if this should be a hard dependency
- as long as Koha is supposed to work without Elasticsearch
- for an enhancement that just displays Elasticsearch infos when Elasticsearch is activated (as far as I understand)

Could we tie loading the module to a condition like the SearchEngine syspref setting instead or does that not make sense?
Comment 2 Tomás Cohen Arazi 2018-01-23 13:46:07 UTC
(In reply to Mirko Tietgen from comment #1)
> I am not sure if this should be a hard dependency
> - as long as Koha is supposed to work without Elasticsearch
> - for an enhancement that just displays Elasticsearch infos when
> Elasticsearch is activated (as far as I understand)
> 
> Could we tie loading the module to a condition like the SearchEngine syspref
> setting instead or does that not make sense?

I've always been strongly against having 'Break Koha' option switches. I think the SearchEngine syspref is a 'Break Koha' option switch as long as Elasticsearch Perl dependencies are not shipped/pulled.

I agree we can workaround the about.pl problem. But we still have break switches.
Comment 3 Katrin Fischer 2018-01-30 06:57:02 UTC
There has been talk about getting ElasticSearch production ready for 18.05 - I think if that is the goal, we should ship with the dependency. Is it hard to pack or are there other reasons against it? Size?
Comment 4 Mirko Tietgen 2018-02-19 12:47:04 UTC
My understanding was (In reply to Katrin Fischer from comment #3)
> There has been talk about getting ElasticSearch production ready for 18.05 -
> I think if that is the goal, we should ship with the dependency. Is it hard
> to pack or are there other reasons against it? Size?

We already have it. It's just not needed without actually using ES. So far we have not added ES dependencies as mandatory to allow Koha to be run Zebra-only.

Maybe it's not really an important question. AFAIK libsearch-elasticsearch-perl does not depend on actually installing Elasticsearch, so Zebra users don't have extra work.

I agree with Tomas that having setting options that kill Koha is not a good thing.

I'll reset to needs signoff, feel free to go back to more discussion if needed.
Comment 5 Mirko Tietgen 2018-02-23 11:48:20 UTC
My bad, there is no code to sign off :D
Comment 6 Mirko Tietgen 2018-02-23 12:40:59 UTC
Created attachment 72116 [details] [review]
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl

Adds Search::Elasticsearch to Perldependencies.pm

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 7 Mirko Tietgen 2018-02-23 12:41:02 UTC
Created attachment 72117 [details] [review]
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl / d/control

update debian/control. this file is auto generated. no testing required.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 8 Mirko Tietgen 2018-02-23 12:42:18 UTC
Sorry Tomas, I stole your bug. I can offer you a signoff though.
Comment 9 Tomás Cohen Arazi 2018-02-23 12:52:34 UTC
Created attachment 72118 [details] [review]
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl

Adds Search::Elasticsearch to Perldependencies.pm

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 10 Tomás Cohen Arazi 2018-02-23 12:52:40 UTC
Created attachment 72119 [details] [review]
Bug 20061: koha-common is not pulling libsearch-elasticsearch-perl / d/control

update debian/control. this file is auto generated. no testing required.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 11 Tomás Cohen Arazi 2018-02-23 12:53:44 UTC
(In reply to Mirko Tietgen from comment #8)
> Sorry Tomas, I stole your bug. I can offer you a signoff though.

Thanks :-D
Comment 12 Jonathan Druart 2018-02-26 14:18:53 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 13 Nick Clemens 2018-03-23 01:14:30 UTC
Is this suitable for backporting Mirko? or is anything else needed?
Comment 14 Mirko Tietgen 2018-03-23 07:10:23 UTC
(In reply to Nick Clemens from comment #13)
> Is this suitable for backporting Mirko? or is anything else needed?

Nick: You skipped bug 19542, so you can skip this one too.
I think it should go to resolved fixed.